{
  "schema_version": "1.4.0",
  "id": "GHSA-5x2p-gch7-phhj",
  "modified": "2022-05-02T03:13:18Z",
  "published": "2022-05-02T03:13:18Z",
  "aliases": [
    "CVE-2009-0163"
  ],
  "details": "Integer overflow in the TIFF image decoding routines in CUPS 1.3.9 and earlier allows remote attackers to cause a denial of service (daemon crash) and possibly execute arbitrary code via a crafted TIFF image, which is not properly handled by the (1) _cupsImageReadTIFF function in the imagetops filter and (2) imagetoraster filter, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0163"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=490596"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11546"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-04/msg00011.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34481"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34722"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34747"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34756"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34852"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200904-20.xml"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2009-0061"
    },
    {
      "type": "WEB",
      "url": "http://www.cups.org/articles.php?L582"
    },
    {
      "type": "WEB",
      "url": "http://www.cups.org/str.php?L3031"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1773"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0428.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2009-0429.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/502750/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34571"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1022070"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-760-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-23T17:30:00Z"
  }
}